aboutsummaryrefslogtreecommitdiffstats
path: root/main/xapian-bindings/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-07-12 12:21:39 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-07-12 12:21:43 +0000
commitdad480d3a9728e10555e8a6427fff525358bc980 (patch)
treebb885579e7fa2375bcfc9d860dfe7af9d7b65375 /main/xapian-bindings/APKBUILD
parent96e87eec0efe292ed2a1ebb52981d41c59908085 (diff)
downloadaports-dad480d3a9728e10555e8a6427fff525358bc980.tar.gz
aports-dad480d3a9728e10555e8a6427fff525358bc980.tar.bz2
aports-dad480d3a9728e10555e8a6427fff525358bc980.tar.xz
main/xapian-bindings: upgrade to 1.4.0
Diffstat (limited to 'main/xapian-bindings/APKBUILD')
-rw-r--r--main/xapian-bindings/APKBUILD53
1 files changed, 29 insertions, 24 deletions
diff --git a/main/xapian-bindings/APKBUILD b/main/xapian-bindings/APKBUILD
index cc522f983d..3f711f40ef 100644
--- a/main/xapian-bindings/APKBUILD
+++ b/main/xapian-bindings/APKBUILD
@@ -1,22 +1,26 @@
# Contributor: Francesco Colista <fcolista@alpinelinux.org>
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
-_php=php5
+_php="php5"
pkgname=xapian-bindings
-pkgver=1.2.23
-pkgrel=1
+pkgver=1.4.0
+pkgrel=0
pkgdesc="Binding libraries for xapian"
url="http://www.xapian.org"
arch="all"
license="GPL2+"
depends=""
-depends_dev="bash xapian-core-dev perl-dev lua5.2-dev
- ${_php}-dev ${_php}-cli python-dev ruby-dev ruby tcl-dev"
-makedepends="$depends_dev automake autoconf libtool"
+makedepends="automake autoconf libtool bash
+ xapian-core-dev
+ perl-dev
+ lua5.2-dev
+ ${_php}-dev ${_php}-cli
+ python-dev py-sphinx-autobuild
+ ruby-dev ruby ruby-rdoc ruby-irb
+ tcl-dev"
+subpackages="$pkgname-perl $pkgname-lua $pkgname-doc
+ $pkgname-php $pkgname-python $pkgname-ruby $pkgname-tcl"
install=""
-subpackages="$pkgname-perl $pkgname-lua $pkgname-php $pkgname-doc
- $pkgname-python $pkgname-ruby $pkgname-tcl"
source="http://www.oligarchy.co.uk/xapian/$pkgver/$pkgname-$pkgver.tar.xz"
-
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
local i
@@ -44,8 +48,9 @@ build() {
export PYTHON=/usr/bin/python
export PYTHON_LIB=/usr/lib/python2.7/site-packages
export RUBY=/usr/bin/ruby
- export RUBY_LIB=/usr/lib/site_ruby
- export RUBY_LIB_ARCH=/usr/lib/site_ruby
+ export RUBY_INC=/usr/include/ruby-2.3.0
+ export RUBY_LIB=/usr/lib/ruby
+ export RUBY_LIB_ARCH=/usr/lib/ruby
export TCLSH=/usr/bin/tclsh8.6
export TCL_LIB=/usr/lib/tcl8.6/$pkgname-$pkgver
./configure \
@@ -68,15 +73,15 @@ package() {
}
php() {
- arch="all"
- pkgdesc="PHP bindings for the Xapian search engine library"
- install -d "$subpkgdir"/usr/share/php5 \
- "$subpkgdir"/usr/lib/$_php/modules \
- "$subpkgdir"/etc/$_php/conf.d || return 1
- echo ';extension=xapian.so' > "$subpkgdir/etc/$_php/conf.d/xapian.ini" \
- || return 1
- mv "$pkgdir"/usr/lib/$_php/modules/* "$subpkgdir"/usr/lib/$_php/modules/
- mv "$pkgdir"/usr/share/php5 "$subpkgdir"/usr/share/
+ arch="all"
+ pkgdesc="PHP bindings for the Xapian search engine library"
+ install -d "$subpkgdir"/usr/share/php5 \
+ "$subpkgdir"/usr/lib/$_php/modules \
+ "$subpkgdir"/etc/$_php/conf.d || return 1
+ echo ';extension=xapian.so' > "$subpkgdir/etc/$_php/conf.d/xapian.ini" \
+ || return 1
+ mv "$pkgdir"/usr/lib/$_php/modules/* "$subpkgdir"/usr/lib/$_php/modules/
+ mv "$pkgdir"/usr/share/php5 "$subpkgdir"/usr/share/
}
perl() {
@@ -104,7 +109,7 @@ ruby() {
arch="all"
pkgdesc="Ruby bindings for the Xapian search engine library"
install -d "$subpkgdir"/usr/lib
- mv "$pkgdir"/usr/lib/site_ruby "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/ruby "$subpkgdir"/usr/lib
}
tcl() {
@@ -114,6 +119,6 @@ tcl() {
mv "$pkgdir"/usr/lib/tcl8.6/$pkgname-$pkgver "$subpkgdir"/usr/lib/tcl8.6
}
-md5sums="013ef1b953cec486bc67a98a0f364e32 xapian-bindings-1.2.23.tar.xz"
-sha256sums="19b4b56c74863c51733d8c2567272ef7f004b898cf44016711ae25bc524b2215 xapian-bindings-1.2.23.tar.xz"
-sha512sums="4be9d103a4073a08d2481e9ddc347156d4028a1517f313861ad3664e6103e052dc1a0d07a992da3ca02599505c002d09d77c4fd886c144918aab72977e69994c xapian-bindings-1.2.23.tar.xz"
+md5sums="0fdb09b6976da3546fef50d4ccbb75f8 xapian-bindings-1.4.0.tar.xz"
+sha256sums="3aec7a009d0bf0b95968420bf68683176c05d63140eaf1cf265d39afe8fa6253 xapian-bindings-1.4.0.tar.xz"
+sha512sums="16523be4f2cd576819771e387d469c91cd03b27522808eebc9275ac3281e55c5d40a5c620ad37f96c2dbc89cc2b13808579e29d737eb63584b8c209597b0f7ce xapian-bindings-1.4.0.tar.xz"